[BACK]Return to fw_install.sh CVS log [TXT][DIR] Up to [local] / openbsd / fw_update

Diff for /openbsd/fw_update/fw_install.sh between version 1.114 and 1.120

version 1.114, 2021/12/23 21:41:29 version 1.120, 2021/12/24 01:41:54
Line 67 
Line 67 
         "$VERBOSE" && flags=-vm          "$VERBOSE" && flags=-vm
         if [ -x /usr/bin/su ]; then          if [ -x /usr/bin/su ]; then
                 exec /usr/bin/su -s /bin/ksh "$_user" -c \                  exec /usr/bin/su -s /bin/ksh "$_user" -c \
                     "/usr/bin/ftp -D 'Get/Verify' $flags -o- '$_src'" > "$_dst"                      "/usr/bin/ftp -N '${0##/}' -D 'Get/Verify' $flags -o- '$_src'" > "$_dst"
         else          else
                 exec /usr/bin/doas -u "$_user" \                  exec /usr/bin/doas -u "$_user" \
                     /usr/bin/ftp -D 'Get/Verify' $flags -o- "$_src" > "$_dst"                      /usr/bin/ftp -N "${0##/}" -D 'Get/Verify' $flags -o- "$_src" > "$_dst"
         fi          fi
         ) & _pid=$!          ) & _pid=$!
         set +o monitor          set +o monitor
Line 173 
Line 173 
         local _tmpdir="$( tmpdir "${DESTDIR}/var/db/pkg/.firmware" )"          local _tmpdir="$( tmpdir "${DESTDIR}/var/db/pkg/.firmware" )"
         local flags=-VM          local flags=-VM
         "$VERBOSE" && flags=-vm          "$VERBOSE" && flags=-vm
         ftp -D "Install" "$flags" -o- "file:${1}" |          ftp -N "${0##/}" -D "Install" "$flags" -o- "file:${1}" |
                 tar -s ",^\+,${_tmpdir}/+," \                  tar -s ",^\+,${_tmpdir}/+," \
                     -s ",^firmware,${DESTDIR}/etc/firmware," \                      -s ",^firmware,${DESTDIR}/etc/firmware," \
                     -C / -zxphf - "+*" "firmware/*"                      -C / -zxphf - "+*" "firmware/*"
Line 277 
Line 277 
   
 CFILE="$LOCALSRC/$CFILE"  CFILE="$LOCALSRC/$CFILE"
   
 if "$INSTALL" || "$DELETE"; then  if [ -x /usr/bin/id ] && [ "$(/usr/bin/id -u)" != 0 ]; then
         if [ -x /usr/bin/id ] && [ "$(/usr/bin/id -u)" != 0 ]; then          echo "need root privileges" >&2
                 echo "need root privileges" >&2          exit 1
                 exit 1  
         fi  
 fi  fi
   
 set -A devices -- "$@"  set -A devices -- "$@"
Line 338 
Line 336 
 [ "${devices[*]:-}" ] || exit  [ "${devices[*]:-}" ] || exit
   
 if "$DOWNLOAD"; then  if "$DOWNLOAD"; then
           set +o noclobber # we want to get the latest CFILE
         fetch "$CFILE"          fetch "$CFILE"
           set -o noclobber
         ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&          ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&
             echo "Signature check of SHA256.sig failed" >&2 && exit 1              echo "Signature check of SHA256.sig failed" >&2 && exit 1
   elif [ ! -e "$CFILE" ]; then
           # TODO: We shouldn't need a CFILE if all arguments are files.
           echo "${0##*/}: $CFILE: No such file or directory" >&2
           exit 2
 fi  fi
   
 added=''  added=''
 updated=''  updated=''
   kept=''
 for f in "${devices[@]}"; do  for f in "${devices[@]}"; do
         d="$( firmware_devicename "$f" )"          d="$( firmware_devicename "$f" )"
   
Line 363 
Line 368 
                 for i in "${installed[@]}"; do                  for i in "${installed[@]}"; do
                         if [ "${f##*/}" = "$i.tgz" ]; then                          if [ "${f##*/}" = "$i.tgz" ]; then
                                 "$VERBOSE" && echo "$i already installed"                                  "$VERBOSE" && echo "$i already installed"
                                   kept="$kept,$d"
                                 continue 2                                  continue 2
                         fi                          fi
                 done                  done
Line 372 
Line 378 
                 if "$DOWNLOAD"; then                  if "$DOWNLOAD"; then
                         "$VERBOSE" && echo "Verify existing ${f##*/}"                          "$VERBOSE" && echo "Verify existing ${f##*/}"
                         verify "$f" || continue                          verify "$f" || continue
                           "$INSTALL"  || kept="$kept,$d"
                 # else assume it was verified when downloaded                  # else assume it was verified when downloaded
                 fi                  fi
         elif "$DOWNLOAD"; then          elif "$DOWNLOAD"; then
                 fetch  "$f" || continue                  fetch  "$f" || continue
                 verify "$f" || continue                  verify "$f" || continue
                   "$INSTALL"  || added="$added,$d"
         elif "$INSTALL"; then          elif "$INSTALL"; then
                 echo "Cannot install ${f##*/}, not found" >&2                  echo "Cannot install ${f##*/}, not found" >&2
                 continue                  continue
Line 403 
Line 411 
   
 added="${added:#,}"  added="${added:#,}"
 updated="${updated:#,}"  updated="${updated:#,}"
 echo  "${0##*/}: added ${added:-none}; updated ${updated:-none}"  kept="${kept:#,}"
   if "$INSTALL"; then
           echo  "${0##*/}: added ${added:-none}; updated ${updated:-none}; kept ${kept:-none}"
   else
           echo  "${0##*/}: downloaded ${added:-none}; kept ${kept:-none}"
   fi

Legend:
Removed from v.1.114  
changed lines
  Added in v.1.120

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>